OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.TextureInteger

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureInteger :: MonadIO m => m Bool
- gl_EXT_texture_integer :: Bool
- pattern GL_ALPHA16I_EXT :: GLenum
- pattern GL_ALPHA16UI_EXT :: GLenum
- pattern GL_ALPHA32I_EXT :: GLenum
- pattern GL_ALPHA32UI_EXT :: GLenum
- pattern GL_ALPHA8I_EXT :: GLenum
- pattern GL_ALPHA8UI_EXT :: GLenum
- pattern GL_ALPHA_INTEGER_EXT :: GLenum
- pattern GL_BGRA_INTEGER_EXT :: GLenum
- pattern GL_BGR_INTEGER_EXT :: GLenum
- pattern GL_BLUE_INTEGER_EXT :: GLenum
- pattern GL_GREEN_INTEGER_EXT :: GLenum
- pattern GL_INTENSITY16I_EXT :: GLenum
- pattern GL_INTENSITY16UI_EXT :: GLenum
- pattern GL_INTENSITY32I_EXT :: GLenum
- pattern GL_INTENSITY32UI_EXT :: GLenum
- pattern GL_INTENSITY8I_EXT :: GLenum
- pattern GL_INTENSITY8UI_EXT :: GLenum
- pattern GL_LUMINANCE16I_EXT :: GLenum
- pattern GL_LUMINANCE16UI_EXT :: GLenum
- pattern GL_LUMINANCE32I_EXT :: GLenum
- pattern GL_LUMINANCE32UI_EXT :: GLenum
- pattern GL_LUMINANCE8I_EXT :: GLenum
- pattern GL_LUMINANCE8UI_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA16I_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA16UI_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA32I_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA32UI_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA8I_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA8UI_EXT :: GLenum
- pattern GL_LUMINANCE_ALPHA_INTEGER_EXT :: GLenum
- pattern GL_LUMINANCE_INTEGER_EXT :: GLenum
- pattern GL_RED_INTEGER_EXT :: GLenum
- pattern GL_RGB16I_EXT :: GLenum
- pattern GL_RGB16UI_EXT :: GLenum
- pattern GL_RGB32I_EXT :: GLenum
- pattern GL_RGB32UI_EXT :: GLenum
- pattern GL_RGB8I_EXT :: GLenum
- pattern GL_RGB8UI_EXT :: GLenum
- pattern GL_RGBA16I_EXT :: GLenum
- pattern GL_RGBA16UI_EXT :: GLenum
- pattern GL_RGBA32I_EXT :: GLenum
- pattern GL_RGBA32UI_EXT :: GLenum
- pattern GL_RGBA8I_EXT :: GLenum
- pattern GL_RGBA8UI_EXT :: GLenum
- pattern GL_RGBA_INTEGER_EXT :: GLenum
- pattern GL_RGBA_INTEGER_MODE_EXT :: GLenum
- pattern GL_RGB_INTEGER_EXT :: GLenum
- glClearColorIiEXT :: MonadIO m => GLint -> GLint -> GLint -> GLint -> m ()
- glClearColorIuiEXT :: MonadIO m => GLuint -> GLuint -> GLuint -> GLuint -> m ()
- glGetTexParameterIivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetTexParameterIuivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()
- glTexParameterIivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glTexParameterIuivEXT :: MonadIO m => GLenum -> GLenum -> Ptr GLuint -> m ()

# Extension Support

glGetEXTTextureInteger :: MonadIO m => m Bool Source #

Is the EXT_texture_integer extension supported?

gl_EXT_texture_integer :: Bool Source #

Is the EXT_texture_integer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureInteger` in those cases instead.

# Enums

pattern GL_ALPHA16I_EXT :: GLenum Source #

pattern GL_ALPHA16UI_EXT :: GLenum Source #

pattern GL_ALPHA32I_EXT :: GLenum Source #

pattern GL_ALPHA32UI_EXT :: GLenum Source #

pattern GL_ALPHA8I_EXT :: GLenum Source #

pattern GL_ALPHA8UI_EXT :: GLenum Source #

pattern GL_ALPHA_INTEGER_EXT :: GLenum Source #

pattern GL_BGRA_INTEGER_EXT :: GLenum Source #

pattern GL_BGR_INTEGER_EXT :: GLenum Source #

pattern GL_BLUE_INTEGER_EXT :: GLenum Source #

pattern GL_GREEN_INTEGER_EXT :: GLenum Source #

pattern GL_INTENSITY16I_EXT :: GLenum Source #

pattern GL_INTENSITY16UI_EXT :: GLenum Source #

pattern GL_INTENSITY32I_EXT :: GLenum Source #

pattern GL_INTENSITY32UI_EXT :: GLenum Source #

pattern GL_INTENSITY8I_EXT :: GLenum Source #

pattern GL_INTENSITY8UI_EXT :: GLenum Source #

pattern GL_LUMINANCE16I_EXT :: GLenum Source #

pattern GL_LUMINANCE16UI_EXT :: GLenum Source #

pattern GL_LUMINANCE32I_EXT :: GLenum Source #

pattern GL_LUMINANCE32UI_EXT :: GLenum Source #

pattern GL_LUMINANCE8I_EXT :: GLenum Source #

pattern GL_LUMINANCE8UI_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA16I_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA16UI_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA32I_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA32UI_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA8I_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA8UI_EXT :: GLenum Source #

pattern GL_LUMINANCE_ALPHA_INTEGER_EXT :: GLenum Source #

pattern GL_LUMINANCE_INTEGER_EXT :: GLenum Source #

pattern GL_RED_INTEGER_EXT :: GLenum Source #

pattern GL_RGB16I_EXT :: GLenum Source #

pattern GL_RGB16UI_EXT :: GLenum Source #

pattern GL_RGB32I_EXT :: GLenum Source #

pattern GL_RGB32UI_EXT :: GLenum Source #

pattern GL_RGB8I_EXT :: GLenum Source #

pattern GL_RGB8UI_EXT :: GLenum Source #

pattern GL_RGBA16I_EXT :: GLenum Source #

pattern GL_RGBA16UI_EXT :: GLenum Source #

pattern GL_RGBA32I_EXT :: GLenum Source #

pattern GL_RGBA32UI_EXT :: GLenum Source #

pattern GL_RGBA8I_EXT :: GLenum Source #

pattern GL_RGBA8UI_EXT :: GLenum Source #

pattern GL_RGBA_INTEGER_EXT :: GLenum Source #

pattern GL_RGBA_INTEGER_MODE_EXT :: GLenum Source #

pattern GL_RGB_INTEGER_EXT :: GLenum Source #

# Functions

glClearColorIiEXT Source #

Arguments

:: MonadIO m |
=> GLint | `red`.
-> GLint | `green`.
-> GLint | `blue`.
-> GLint | `alpha`.
-> m () |

glClearColorIuiEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `red`.
-> GLuint | `green`.
-> GLuint | `blue`.
-> GLuint | `alpha`.
-> m () |

glGetTexParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetTexParameterIiv`.

glGetTexParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type GetTextureParameter.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

This command is an alias for `glGetTexParameterIuiv`.

glTexParameterIivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glTexParameterIiv`.

glTexParameterIuivEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLenum | `pname` of type TextureParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

This command is an alias for `glTexParameterIuiv`.